# Swoole\Atomic::sub

(PHP 5 >= 5.2.0, PHP 7, PECL swoole >= 1.9.0)

Swoole\Atomic::sub — Subtract a number to the value of the atomic object.

### Description

public Swoole\Atomic::sub ([ integer `$sub_value` ] ) : integer

Subtract a number to the value of the atomic object.

### Parameters

`sub_value`

  The value which will be subtracted to the current value.

### Return Values

The current value of the atomic object.